Ubuntu

"slow keys" can turn on surreptitiously & cause confusion.

Reported by Ivan Matveich on 2006-04-26
98
This bug affects 11 people
Affects Status Importance Assigned to Milestone
gnome-control-center (Ubuntu)
Low
Ubuntu Desktop Bugs
Nominated for Intrepid by Christopher Berner
gnome-settings-daemon (Fedora)
Unknown
Unknown

Bug Description

I was editing some huge photos with the gimp and it had a swapping fit; I pressed various keys, clicked various things, generally did what any user does when an application hangs for a while.

For some reason, gnome's "slow keys" feature turned on during all this chaos---presumably because gnome thought the shift key was held down for N seconds, I don't know---and I was totally confused when my keys became, predictably, "slow."

This seems like something that could happen to dapper users. Maybe there should be a

  [x] Activate "slow keys" by holding down the shift key.

config toggle that is off by default, or something...

Daniel Holbach (dholbach) wrote :

Thanks for your report. I'm personally not convinced that the sticky keys feature (that's the only one I can think of) was turned on. If a machine is has a very high load and lots of IO happens, key events are processed in a slower way.

Changed in meta-gnome2:
status: Unconfirmed → Needs Info

It definitely turned on: I even rebooted and it was still on because
gnome remembers its slow-keys activation state.

Really, gnome needs to show some kind of obvious visual indication
that slow keys has been activated---so if it gets turned on for
whatever reason (imagine that some prankster turns it on) the user has
some chance of figuring out what the hell happened to his keyboard. It
would also be nice to also make it harder to accidentally turn on, of
course.

I can confirm this has happened to me too (edgy beta). Somehow this got turned on (no idea how) and it took me two days to work out what was wrong.

Gnome worked fine in failsafe mode, but in normal mode it seemed the keyboard was being ignored. It turns out I just wasn't holding down the keys for the required 1/3 of a second, as that's not exactly normal for typing.

Jonathan Lange (jml) wrote :

This is still a problem in Feisty. It's definitely not caused by load, Slow Keys is being enabled without warning, and there's no obvious documentation on how it's turned on or off.

There's no way to disable "automatic" Slow Keys without disabling all keyboard accessibility features. This problem is particularly vexing on Macbooks, where Mousekeys is nearly essential for day-to-day use.

Mark Weaver (mark-clist) wrote :

This also applies to KDE in feisty. It is set to sound the bell by default but that's not much help with sounds turned off. You can turn it off (under system settings->accessibility->use gestures) at least, and also configure it to display a notification; I think that the notification ought to be enabled by default, because the feature is very confusing if you have turned it on unintentionally.

Steve Alexander (stevea) wrote :

This just happened to me on feisty. The "You held down the shift key for 8 seconds, do you want to activate slow keys" dialog was on my screen, but hidden behind another window. The feature was activated, and when I deactivated it, everything was back to normal.

My machine was not under heavy IO of any kind. I was watching a responsive system monitor applet all the time.

I had not intentionally turned on "slow keys", and I was very confused as to why my keyboard was not working properly. I had spent 30 minutes trying to load and unload USB kernel modules, suspend and hibernate, put keyboard into raw mode and check it on a console etc.

The keyboard was working fine on a console. IMO, this is a pretty serious bug.

doctorow (doctorow) wrote :

This happens to me dozens of times a day -- I often hold down the shift key while writing, as I prepare to type the first word of a sentence, with the rest of my fingers poised over the keyboard. Then i start typing and nothing comes out. I have to minimize several windows to find the "You held down the shift key for 8 seconds" dialog and close it. I'm using Feisty/Kubuntu.

I don't *ever* want to use slowkeys, for any reason. There should be a way to just turn slowkeys off permanently without leaving *any* shortcuts to turn it off. I've tried to uninstall slowkeys with Synaptic, but apparently it's part of a larger package.

This is the single biggest pain-point in my use of Linux. I've lost a TON of work by holding down the shift key, waiting for inspiration, being seized by it, typing joyously for a while, then noticng that the freaking keyboard as stopped working, finding the bloody slowkeys dialog, and nuking it, then trying to remember what it was I had planned on typing.

Cory

Dana Goyette (danagoyette) wrote :

This also still happens in Gutsy. I'd call this a MAJOR bug.
At the very least, PLEASE don't make the dialog turn the feature on unless you press YES! What's worse is that even pressing escape does NOT disable the feature. I've finally had to set the slowkeys time to 1 millisecond, in order to essentially disable it.
ooOOOOOOOOtttttttttttttthhhhhhhhheeeeeeeerrrrrrrrrrrwwwwwwwiiiiiiiiiiiiiisssssssseeeee,,,,,,,,,,,,,
I end up typing like that, because I have to hold the key, and then react in time to let go before it repeats. Also notice that slowkeys breaks function keys. Try hitting alt-tab with it enabled, and notice that the 'alt' is entirely missing, unless you continue holding 'tab' while releasing and re-pressing 'alt'. Because the slowkeys confirmation box does not appear in the taskbar, it becomes ridiculously hard to find the window to tell it "NO!".

Dana Goyette (danagoyette) wrote :

Actually, it looks like setting the time to be zero actually disables the prompt. The shortcut still causes a beep, but the dialog no longer comes up, and the feature is effectively disabled even if it does actually turn on. (dang, I wish we could edit posts, even if limited to, say, 5 minutes or until first response.)

Dana Goyette (danagoyette) wrote :

Hmm, it seems the time can only be set to zero when the feature is enabled, and as soon as it is disabled in any way, it sets itself to 1 and the dialog is re-enabled.

Launchpad Janitor (janitor) wrote :

[Expired for Ubuntu because there has been no activity for 60 days.]

Steve Alexander (stevea) wrote :

The auto-expire bot set this to invalid. I'm setting this back to confirmed, because although there has been no activity for a while, I confirm that this bug still occurs in ubuntu feisty.

rudfan (rudfan) wrote :

Confirmed, spent a few hours on figuring that out. Although googling "kde keyboard problem" helped a lot. Still a very confusing and probably unnecessary feature.

Alvin (alvind) wrote :

Confirmed. Having slow keys disabled by default is probably an acceptable solution to this.
On the other hand, if you hold down the Shift key in Gutsy, a warning box appears, which is also acceptable. Is this the case in Feisty and other older versions?

Steve Alexander (stevea) wrote :

In feisty, a warning box appears. However, there are problems with it:

 1. the warning box is not a normal window, so it is not visible with a task button.

 2. for some reason, it often appears underneath the currently focused window, and that combined with the lack of a task button makes it entirely invisible.

 3. slow keys gets activated somehow even though the dialog is displayed and hasn't been okayed.

So, when I find I've accidentally turned on slow keys, I'll later on find this hidden dialog asking me if I want to enable it.

I think there are a few things broken here. The most useful change would be to make the dialog asking if I want to turn on slow keys, to make it a proper application window. Then to ensure that slow keys is not turned on until that dialog is okayed.

Russell Sears (sears) wrote :

Right now, the only workaround is to disable all of the keyboard accessibility stuff.

I think that each of the accessibility features need an independent option to disable their keyboard shortcut key under system->preferences->accessibility->keyboard. If people that don't have problems with keyboard use keep turning these things on at random, I imagine that people trying to use some (but not all) of these features would also have trouble.

It would also be nice if there was a "never ask me again" button on the pop-up dialog itself.

Finally, it looks like disabling accessibility features will disable the keyboard repeat rate stuff. Once you disable accessibility features, you see that the repeat rate stuff isn't grayed out, and repeat still works. That's less than ideal; it took me a while to figure out that I could have keyboard repeats and an unburdened shift key at the same time...

santana (burlen) wrote :

hi i have, i am having the same problem with kubuntu fiesty. i often use gimp in which zooming and scrolling requires holding down the ctrl and shift key. periodically the ctrl and shift key stop working. sometimes i see the slow keys dialog and others i don't. anyone know how to reset this feature to get the keys going again/ so far all i can find to do is reboot...

Justin Mason (jm-jmason) wrote :

I can't say I've ever not noticed the dialog -- but the dialog itself is a particularly
aggravating issue. Like Cory, I tend to hold down Shift while thinking about
what to type next -- it's not an indication that I need help.

A "never ask me again" tickbox on that dialog would be perfect.

GKinal (gkinal) wrote :

This is an INCREDIBLY STUPID "Feature" (known to the most people as a BUG - I thought only Redmond could be so DUMB).

I had set up Kubuntu for my wife, and yesterday she activated the slow keys mode accidentally.

I have used all manner of PCs and operating systems for 30 years and have NEVER encountered such an OBSCURE and USELESS POS bug.

Would someone explain to me what CONCEIVABLE purpose the inventor of this bug (feature is too kind a term) thought he/she was adding ? Or was it some kind of Easter Egg joke that virus writers could invoke ?

INSANE !

How do we PERMANENTLY get rid of this POS, other than by abandoning any version of Linux/desktop that contains it ?

GVK

cmcginty (casey-mcginty) wrote :

[rant] PLEASE give us a way to turn this "feature" OFF FOREVER. How annoying is it to be constantly asked by your OS if you need help with the same issue. Please leave me alone, If I want to change the configuration I'll do it myself. Does any other program pre-emptively prompt you to change its configuration? No. Until someone comes up with a brain I/O device, I don't think we can reliably predict what the users intentions are. So why try now? [/rant]

I'm sure there was a reason for a developer to implement such feature as a slow key for certain category of end-users.
Unfortunately it happened that the developer treated a headache by cutting the head.
I had exact scenario that GKinal reported above, i.e. set up a laptop for my wife with kubuntu and she was happlily working on it for a few days untill she unknownly pressed OK when the system asked her to accept slow key feature. She couldn't use the keyboard at all untill I figured out what actually caused of the problem.
I'm aboslutely sure the other category of end-users also need to have a developer attention, i.e. users who do not need this feature. I think I should have a respect at least to know that this feature is active and giving you a hint something like 'keep pressing a key for 3 seconds' if nothing happened on your screen.

Ideally this feature to offer end-user to activate slow keys should be removed at all.
It reminds me MS approach to action on behalf of end-user. I think I can do it better for my wife then Bill G. would do.

machrider (machrider) wrote :

It seems like this issue is being largely ignored, but I'm going to submit my $0.02 anyway.

I just wasted over an hour of my (valuable) workday trying to figure out why my keyboard would intermittently stop working. As it turns out, yes, I was activating "slow keys" by lazily holding down the shift key while I thought about something.

I disagree with some of the more vitriolic comments above. KDE's accessibility configuration panel has all the right options. You can disable the gestures, and never worry about the feature being activated again. You can set the gestures to prompt with a dialog, before activating the accessibility functions. Great.

However, the default configuration Kubuntu (gutsy) ships with is wrong though. It should be set so that gestures bring up a confirmation dialog, just like Windows does. Instead, it sneakily activates the "feature," leaving me thinking my keyboard just broke. It's hard to put into words how frustrating this has been, and leaves me sympathetic with the angrier voices above.

Now that I know, I won't get caught by it again. I've already deactivated the gestures, so no future worries for me. But as the history of this bug shows, dozens, if not hundreds of people are going to get burned in an incredibly frustrating way by Kubuntu's default configuration. PLEASE fix this to spare the frustration to so many of your appreciative users.

Thanks!

TimME (tmetler) wrote :

The hold shift down hotkey on windows was one of my biggest pet peeves, and it still is here. I thought my keyboard was broken because of this. And on top of it all, I can't see the reasoning behind needing this feature at all. It must be the dumbest most useless feature ever, and I can't see anyone ever purposefully using the shortcut to enable it. If they want it they can goto keyboard settings to enable it. The shortcut should not be on by default. It will spare thousands of tons of frustration.

GKinal (gkinal) wrote :

Could the author of this "feature" have enough integrity (balls) to identify himself/herself and explain why h/she thought this was so clever ?

Come on, face up to the music, whoever you are.

Otherwise, what use is open source ? Might as well have Bill Gates deciding what users want, unilaterally.

GK

Amit Soni (amitsoni) wrote :

Someone should come up to tell us how to permanently disable this feature so that it never turn up on any kind of shortcut keys. Its really very necessary for ubuntu. Today I wasted my one hour on gconf-editor in which I tried modifying /desktop->gnome->accessibility and on many other ways so that I could somehow do something to prevent this but all in vain. Serious help is expected.

GKinal (gkinal) wrote :

Chiming in again. It looks like noone is listening.

Since gnome is supposed to be within the open-source sphere, there MUST be an author for this aspect. Apparently s/he did this nefarious stupid thing and is no longer involved (or did a disgruntled user put out a contract?).

But, isn't there someone in the Ubuntu or Debian community who has contacts back into the gnome development who could instigate a fix ?

GK

You can disable that feature permanently by unchecking the option 'Keyboard Preferences' -> 'Allow to turn accessibility features on and off from the keyboard'.

There's by the way a duplicate of this bug: https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/59616

kko (kko) wrote :

Since this report is for Ubuntu (Gnome), for the same issue in KDE there is bug 69969.

Christopher Berner (cberner) wrote :

Could we please have 'Allow to turn accessibility features on and off from the keyboard' disabled by default? I just spent nearly an hour trying to figure out why my keyboard stopped working (somehow I enabled Slow Keys without knowing it). Or could we at least get a HUGE, obtrusive confirmation window (with instructions as to how to disable it again) the first time one of these features is turned on?

Sebastien Bacher (seb128) wrote :

Thanks for the bug report. This particular bug has already been reported, but feel free to report any other bugs you find.

Changed in gnome-control-center:
assignee: nobody → desktop-bugs
importance: Medium → Low
status: Confirmed → Invalid
Alvin (alvind) wrote :

Shouldn't the package of this bug be changed? This is not only an issue in gnome-control-center, but also in KDE. It looks like it is disabled by default in KDE4, but I can not confirm this.

bbyak (buliabyak) wrote :

Adding my vote that this feature, and all ways to accidentally activate it by keys or gestures, MUST BE OFF BY DEFAULT.

I just had this problem with Kubuntu 9.04. Apparently it was turned on by some "gesture" I did while playing in Google Earth. There was no warning whatsoever. This is unacceptable.

Sebastien Bacher (seb128) wrote :

you will not convince hacker working for free on the software you are using to look at your issues by using this tone or trying to give them orders

JoeBorn (joeborn) wrote :

I'll add my vote here, I inadvertently enabled this and even after looking at the setup didn't think to disable the accessibility or even to disable "slow keys" it just didn't seem intuitively related (nor did I know what slow keys was). I had a good hour in this bug before I found this and was about to bail out entirely thinking it was some update that had broken my system and that I'd "check back with ubuntu in a month or two" to see if it'd been fixed.

Luis Mondesi (lemsx1) wrote :

I have hit this bug before many times on previous versions of Ubuntu and now on Lucid (10.04). Usually, I go to tty1 (CTRL+ALT+F1 works) and then I kill compiz, which magically restores my keyboard and mouse input.

This time that didn't work so I left the window open and went to another computer to research this. Then I found bug 59616 which is marked as a duplicate of this one.

On one of the comment (Lars) it's mentioned to remove .gconf/desktop/gnome/peripherals/keyboard/host-<hostname>/0/%gconf.xml and retry.
Well, since I had a problem with the mouse too, I moved the whole "peripherals" directory to /tmp and lo and behold, that did the trick.

This is the diff between those 2 directories:

$> diff /tmp/peripherals peripherals
diff -burN /tmp/peripherals/keyboard/host-zod/0/%gconf.xml peripherals/keyboard/host-zod/0/%gconf.xml
--- /tmp/peripherals/keyboard/host-zod/0/%gconf.xml 2010-07-27 11:27:40.192314387 -0400
+++ peripherals/keyboard/host-zod/0/%gconf.xml 1969-12-31 19:00:00.000000000 -0500
@@ -1,4 +0,0 @@
-<?xml version="1.0"?>
-<gconf>
- <entry name="numlock_on" mtime="1280244399" type="bool" value="true"/>
-</gconf>
diff -burN /tmp/peripherals/keyboard/kbd/%gconf.xml peripherals/keyboard/kbd/%gconf.xml
--- /tmp/peripherals/keyboard/kbd/%gconf.xml 2009-10-09 11:06:20.000000000 -0400
+++ peripherals/keyboard/kbd/%gconf.xml 1969-12-31 19:00:00.000000000 -0500
@@ -1,16 +0,0 @@
-<?xml version="1.0"?>
-<gconf>
- <entry name="layouts" mtime="1255100776" type="list" ltype="string">
- <li type="string">
- <stringvalue>us</stringvalue>
- </li>
- </entry>
- <entry name="options" mtime="1247088056" type="list" ltype="string">
- <li type="string">
- <stringvalue>ctrl ctrl:nocaps</stringvalue>
- </li>
- <li type="string">
- <stringvalue>Compose key compose:menu</stringvalue>
- </li>
- </entry>
-</gconf>
diff -burN /tmp/peripherals/mouse/%gconf.xml peripherals/mouse/%gconf.xml
--- /tmp/peripherals/mouse/%gconf.xml 2010-07-23 15:30:08.244407232 -0400
+++ peripherals/mouse/%gconf.xml 1969-12-31 19:00:00.000000000 -0500
@@ -1,5 +0,0 @@
-<?xml version="1.0"?>
-<gconf>
- <entry name="cursor_size" mtime="1279913347" type="int" value="18"/>
- <entry name="left_handed" mtime="1279899048" type="bool" value="true"/>
-</gconf>
diff -burN /tmp/peripherals/touchpad/%gconf.xml peripherals/touchpad/%gconf.xml
--- /tmp/peripherals/touchpad/%gconf.xml 2009-10-09 11:06:20.000000000 -0400
+++ peripherals/touchpad/%gconf.xml 2010-07-27 11:30:29.092314722 -0400
@@ -1,4 +1,4 @@
 <?xml version="1.0"?>
 <gconf>
- <entry name="config_migration_needed" mtime="1255100776" type="bool" value="false"/>
+ <entry name="config_migration_needed" mtime="1280244568" type="bool" value="false"/>
 </gconf>

In short, I changed the behavior of the Menu key to act as Compose and IIRC I set CapsLock to act as CTRL. My visual effects are set to Extra in the Appearance dialog -- which might or might not be related but...

Luis Mondesi (lemsx1) wrote :

reboot and the same thing happened.

this time I removed 1 peripheral file at a time and the problem (for me) is when you set the mouse to be left handed -- I don't recall changing the cursor size. Removing this file fixed it so my input (from keyboard) works. Here are the details:

~/.gconf/desktop/gnome/peripherals/mouse/%gconf.xml

<?xml version="1.0"?>
<gconf>
 <entry name="cursor_size" mtime="1280245614" type="int" value="18"/>
 <entry name="left_handed" mtime="1280245195" type="bool" value="true"/>
</gconf>

Luis Mondesi (lemsx1) wrote :

Umm... never mind my last comment about the left_handed mouse... I logged out and back and input worked with left-handed set (but not cursor_size)

$> cat .gconf/desktop/gnome/peripherals/mouse/%gconf.xml
<?xml version="1.0"?>
<gconf>
 <entry name="left_handed" mtime="1280437857" type="bool" value="true"/>
</gconf>

The only other change I made was to synchronize my password (login) with my keyring. It could be related to the keyring dialog asking for your new password to unlock the session...

I also ran in to this usability bug.
Which was very annoying, i as other didnt see any window popup before it was activated.
I lost about 1 hour of work time just before a deadline. Because there was no clue
that slow keys was enabled. I also tried reinstalling Xorg, an many other workarounds
before accidently finding this thread / bugreport.
So many other people must have lost time, and being confused and done stuff that could potentaially have damaged their systems.

Also i use openbox, (but tested out gnome) and therefore couldnt follow the menu1 - menu2 - menuetc.
Hints some users have come up with.

I also experienced earlier that this dialog appeared and i pressed cancel or escape, and i still got
slow keys. i couldnt repeat that before.

Funny note: ive experienced, similarly on windows xp.
were it turned on slow keys even though i answered no.
Is the accesibility feature copied, functionality wise from there?

So here is a work around for nearly all wm / Desktop managers users (KDE also?)

+++++++
I was unable to turn off slow-keys in gconf-editor, but I have figured out another way.

Go to: System->Preferences->Keyboard

at the bottom of the dialog box between Help and Close is "Accessibility..."

press Accessibility

The "Keyboard Accessibility Preferences" window opens. Un-check "Enable keyboard accessibility features" at the top of the box.

That's it. I haven't had the "Slow Keys" dialog question come back

++++++++++++++++

I still miss some feedback from developers on this, since its very hard to understand why this feature
is implemented like it is?

michael

Forgot to write the terminal command for the prefrence menu:

is is.

gconf-editor

Wrong solution, sorry: this works (for me!) I think there should be a faq about this somewhere.
And that default behaviour should be changed.

The solution? To go into the settings for the assistive technologies:
System > Preferences > Keyboard > /Accessability/ > [ ] Accessability Features can be Toggled with Keyboard Shortcuts

Commandline

gnome-control-center

Under Accesibility pane:
unclick "accesibility features can be toggled with keyboard shortcuts"

Mic

Have a nice day.

Well back to the deadline approaching swooshingly ;)

Martin Pool (mbp) wrote :

See bug 758335: this can happen very easily in gdm and the results are very confusing.

Mats Ahlgren (mats-ahlgren) wrote :

Based on the very good points in the many comments, with regards to both Gnome and KDE, I suggest:
- reopening bug
- marking as Critical or highest level
- tagging as 'keyboard' and ' usability'
- also affects Kubuntu

My proposal is simple: just KILL this "feature".

Rationale: just count number of related bug reports. It is constantly causing problems. It's very hard to google properly (especially with keyboard that types one character per second). Just recently I discovered that Gnome 3 doesn't actually offer any proper dialog to disable this feature. I had to resort to gconf-editor instead.

It would make any sense, if turning slow keys on by holding Shift would actually solve anything for anyone. The fact is however that I can't imagine anyone to whom this would be useful. A less advanced user will never in the world find out (otherwise than by accident) that holding SHIFT toggles this function on/off. A person who needs slow keys is as a matter of fact more likely to disable this feature by accident.

Please, just KILL it. It's been a TERRIBLE idea right from the start. It's even worse than "Ctrl+Shift switches keyboard layout" under Windows. Please, listen to your users and just KILL this shortcut. It's incredibly annoying for the advanced users. Is virtually useless for those who need slow keys.

If you think otherwise, please give my any explanation as to "what is it actually for?". I can't seem to see any.

Scott Wood (scott-buserror) wrote :

I was hit by this on 12.04 with Xfce (not sure if this belongs in a different bug), which doesn't seem to have any way to permanently disable from its config panel. Took we a while to figure out how to type at all in order to search for what I'd done -- and it was very difficult to hold the key exactly the length required (which was very long, much more than I'd expect would be required for someone who's having trouble with accidental adjacent keypresses), but not long enough to trigger autorepeat (I have the repeat delay set to the 250 ms that used to be standard, but even the now-for-some-reason-default 500 ms or so would probably be too short compared to the very long initial delay).

It also seems perverse that a feature that requires you to hold keys down for a long time as part of normal use, would be disabled by holding a certain key down for a long time.

I agree with those that say it should be disabled by default -- especially if it's not going to even ask for confirmation via a dialog box.

khr (kevinreyer) wrote :

Yet another highly irritated Xfce user here. Just use gdm instead of gdm3.

adbot (balidubiba) wrote :

For a solution that worked for me, you can look at the comment linked here: https://bugzilla.redhat.com/show_bug.cgi?id=816764#c42

Pasting here:
Create a new file in /etc/dconf/db/gdm.d/ with a number prefix (the highest one in the directory, e.g. 01-no-a11y-keyboard) with the following content:

[org/gnome/desktop/a11y/keyboard]
enable=false

Then run 'dconf update': this should create new /etc/dconf/db/gdm settings database.

Then restart gdm...

IMO this is a GDM bug that needs fixing upstream.

Lepe (alepe-com) on 2013-01-15
Changed in gnome-control-center (Ubuntu):
status: Invalid → Confirmed
Lepe (alepe-com) wrote :

Sorry, I had to set this to "confirmed" as I think is a problem that affects many people. The only request that many of us are doing is to disable this function as default. This is my story:

Using: Xubuntu Quantal 32bits

I use one of my servers remotely using x11vnc + remmina. Sometimes it happens to me that one (virtual) key get stuck during the session (As it happens rarely, and it is fixed just by restarting the service, I'm not really bothered about it). While sometimes is an ALT key, a letter (easy to spot), this time was SHIFT. This triggered "Slow Keys" function automatically at the server (I was unable to see the notification). After that, I spent almost 2 weeks having really hard time operating it remotely. Fist I thought the remmina was not sending any keys. After trying other client without success, I blamed x11vnc. I spent a lot of time searching in x11vnc forums for an answer, tried all possible parameters, and nothing. It was driving me crazy!. I noticed that the key was actually being sent (debug with xev) but the key was not "resolved". Anyway, it was very confusing. After vacations, somehow it was fixed (probably after an update-restart). I didn't know what exactly happened until few minutes ago, that I was working on (physically) on the same server and I holded SHIFT key while I was thinking a piece of code. I was able to see the message this time! (XFCE notifications are set to show for 10 secs but it dissapeared after 1 or 2 secs :S ). After googling it (with some input difficulties), I finally learned about "slow keys" and how to disable it.

If I weren't looking at the screen at that right moment, I don't know how much time I could have spent trying to figure it out what was going on (again). I consider myself an experienced user, so I can imagine what inexperienced users may suffer with this kind of automatic feature. I sum my voice to all the people listed here (and to all of them that still don't know why their keyboard responses are delayed), to please disable the "hold-shift-key-N-secs-to-slow-keys" functionallity. Thanks!

Ignacio Larrain (ilarrain) wrote :

I consider myself an experienced user and had a very hard time figuring out this. I have had this problem many times, and the only solution I figured out until now was to reboot.

The problem is "Slow Keys" are being enabled in GDM even though I'm long ago logged in, and that anti-feature should be controled by Gnome-Shell, not GDM once logged in.

By the way: this bug and bug #758335 are very closely related.

Ignacio Larrain (ilarrain) wrote :

root@ignacio-laptop:/var/log/gdm# tail :0.log
(II) XKB SlowKeys are now enabled. Hold shift to disable.
(II) XKB SlowKeys are now enabled. Hold shift to disable.
(II) XKB SlowKeys are disabled.
(II) XKB SlowKeys are disabled.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.